package cn.com.qmth.stmms.biz.report.dao;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectClassGroup;

public interface ReportSubjectClassGroupDao extends PagingAndSortingRepository<ReportSubjectClassGroup, Integer>,
        JpaSpecificationExecutor<ReportSubjectClassGroup> {

    @Modifying
    @Query("delete from ReportSubjectClassGroup r where r.examId=?1 ")
    void deleteByExamId(Integer exmaId);

    @Modifying
    @Query("update ReportSubjectClassGroup r set r.questionCount = (select count(*) from ExamQuestion q where q.examId=?1 and q.groupNumber = r.groupNumber and q.subjectCode = r.subjectCode and q.examId = r.examId ) where r.examId=?1  ")
    void updateQuestionCount(Integer examId);

}
